base_directory  = Dir.new('/usr/share/compass/frameworks/slickmap')
stylesheets_path = File.join(base_directory, 'stylesheets')

if (defined? Compass)
  Compass::Frameworks.register(
    'slickmap',
    :path => base_directory
  )
else
  ENV["SASS_PATH"] = [ENV["SASS_PATH"], stylesheets_path].compact.join(File::PATH_SEPARATOR)
end
